import React from 'react';
import {ButtonField} from "@rx-suite/ui/build";
import {observer} from "mobx-react-lite";
import {CurrentUserModel, CurrentUserStore} from "@rx-suite/stores/build";

export const DisconnectFromRxuniverseButton = observer(() => {
    const user = CurrentUserStore.selectedModel as CurrentUserModel;
    const handleClick = React.useCallback(() => {
        user.disconnectFromRxUniverse();
    }, [user]);
    if (!user) return null;
    return (
        <ButtonField
            text={"Disconnect from RxUniverse"}
            onClick={handleClick}
        />
    )
});