import * as React from 'react';
import {observer} from "mobx-react-lite";
import {UserModel} from "../../stores/UserStore";
import {PasswordRecoveryEmailButton} from "./PasswordRecoveryEmailButton";
import {PasswordRecoveryCopyButton} from "./PasswordRecoveryCopyButton";
import {currentUserCan} from "@rx-suite/stores/build";

export const UserFormButtons: React.FunctionComponent<{ user: UserModel }> = observer(({user}) => {
    return <>
        {!user.isNew && currentUserCan(user.store.permissionTarget!, 'get_password_link') &&
        <PasswordRecoveryCopyButton user={user}/>}
        {!user.isNew && <PasswordRecoveryEmailButton user={user}/>}
    </>
});