import * as React from 'react';
import {ModelTableActionButtonProps} from "@rx-suite/ui/build/components/models/ModelTable/ModelTableDefaultActions";
import {UserModel} from "../../stores/UserStore";
import {CurrentUserStore} from "@rx-suite/stores/build";
import {ModelTableDeleteButton as Original} from '@rx-suite/ui/build/components/models/ModelTable/ModelTableDeleteButton';

export const UsersModelTableDeleteButton: React.FunctionComponent<ModelTableActionButtonProps> = ({model, store}) => {
    const user = CurrentUserStore.selectedModel as UserModel;
    if (model.getId() === user.getId()) {
        return null;
    }
    return (
        <Original store={store} model={model}/>
    )
}