import * as React from "react";
import {FormProps} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {Tab, Tabs} from "@material-ui/core";
import {t} from "@lingui/macro";
import {TimeFormatSettingTab} from "../../components/system_settings/TimeFormatSettingTab";
import {PaddedPaper} from "@rx-suite/ui/build";

export const SystemSettingForm: React.FunctionComponent<FormProps> = observer(() => {
    const [currentTab, setCurrentTab] = React.useState(0);
    const handleChange = (event: any, newValue: React.SetStateAction<number>) => {
        setCurrentTab(newValue);
    };
    return (
        <PaddedPaper>
            <Tabs value={currentTab} onChange={handleChange} indicatorColor="primary"  textColor="primary" variant="scrollable">
                <Tab label={t`Date & Time Formats`} key={0}/>
            </Tabs>
            <TimeFormatSettingTab index={0} value={currentTab} />
        </PaddedPaper>
    )
})