import {attribute, DataStore, model, Model} from '@rx-suite/data/build';
import {t} from "@lingui/macro";
import * as yup from "yup";

@model({
    transportLayer: "/api/component_permissions",
    eager: true,
    routingInfo: {
        create: "/component_permissions/create",
        update: "/component_permissions/:id/edit",
        read: "/component_permissions/:id"
    }
})
export class ComponentPermissionModel extends Model {

    @attribute({
        label: t`Component ID`,
        validation: yup.string(),
        autoForm: false
    })
    component_id: string = '';

    @attribute({label: t`Target Id`, autoForm: false})
    target_id: string = '';

    @attribute({label: t`Target Display Name`, autoForm: false})
    target_display_name: string = '';

    @attribute({label: t`Feature Id`, autoForm: false})
    feature_subfeature_id: string | null = '';

    @attribute({label: t`Module Feature Id`, autoForm: false})
    feature_module_id: string | null = '';

    @attribute({label: t`Action Id`, autoForm: false})
    action_id: string = '';

    @attribute({label: t`Action Display Name`, autoForm: false})
    action_display_name: string = '';

    @attribute({label: t`Target Category`, autoForm: false})
    target_category: string = '';
}

export const ComponentPermissionStore = ComponentPermissionModel.store as DataStore<ComponentPermissionModel>;
