import {attribute, DataStore, model, Model} from '@rx-suite/data/build';
import {t} from "@lingui/macro";

@model({
    transportLayer: "/api/role_permissions",
    eager: true,
    routingInfo: {
        create: "/role_permissions/create",
        update: "/role_permissions/:id/edit",
        read: "/role_permissions/:id"
    }
})
export class RolePermissionModel extends Model {

    @attribute({label: t`Component Permission Id`, autoForm: false})
    component_permission_id: string = '';

    @attribute({label: t`Role Id`, autoForm: false})
    role_id: string = '';

    @attribute({label: t`Permitted`, autoForm: false})
    permitted: boolean = false;

    @attribute({label: t`Created At`, autoForm: false})
    created_at: Date = new Date();

    @attribute({label: t`Updated At`, autoForm: false})
    updated_at: Date = new Date();

}

export const RolePermissionStore = RolePermissionModel.store as DataStore<RolePermissionModel>;
